<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('partner_account', function (Blueprint $table) {
            $table->dropColumn('user_name');
            $table->renameColumn('user_mobile', 'mobile');
            $table->renameColumn('email', 'mail_address');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('partner_account', function (Blueprint $table) {
            $table->dropColumn('user_name');
            $table->renameColumn('mobile', 'user_mobile');
            $table->renameColumn('mail_address', 'email');
        });
    }
};
